/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: Flow_a_Bean.java 70314 2013-02-26 19:48:11Z dougd $
 */
package com.sun.ts.tests.jsf.spec.flows.basicswitch.beans;

import javax.faces.flow.FlowScoped;
import java.io.Serializable;

import javax.inject.Named;

@Named
@FlowScoped(value ="flow-a")
public class Flow_a_Bean implements Serializable {

   public String getName() {
       return "Flow_a_Bean";
   }
   
   public String getReturnValue() {
       return "/return1";
   }
   
   public boolean isSwitchA_Case01() {
       return false;
   }
   
   public boolean isSwitchA_Case02() {
       return false;
   }
   
   public boolean isSwitchA_Case03() {
       return true;
   }

   public boolean isSwitchB_Case01() {
       return false;
   }
   
   public boolean isSwitchB_Case02() {
       return true;
   }
   
   public boolean isSwitchB_Case03() {
       return false;
   }

   public boolean isSwitchC_Case01() {
       return false;
   }
   
   public boolean isSwitchC_Case02() {
       return false;
   }
   
   public boolean isSwitchC_Case03() {
       return false;
   }
   
   public String getDefaultOutcome() {
       return "switchC_result";
   }
   
}
